## org.apache.batik.dom.anim
Interface AnimationTargetListener

All Known Implementing Classes:
  AnimationEngine.Listener

    public interface AnimationTargetListener

A listener class for animation targets. This will be for the animation engine to be notified of updates to dependencies such as font size changes and viewport sizes.

Method Summary
`void` `baseValueChanged(AnimationTarget t, java.lang.String ns, java.lang.String ln, boolean isCSS)` Invoked to indicate that base value of the specified attribute or property has changed.

Method Detail

### baseValueChanged

    void baseValueChanged(AnimationTarget t,
                          java.lang.String ns,
                          java.lang.String ln,
                          boolean isCSS)

  Invoked to indicate that base value of the specified attribute or property has changed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.